package meerkat.pollingstation.controller.commands;

/**
 * Created by Laura on 3/20/2017.
 */
public abstract class PollingStationCommand {
    protected final int requestIdentifier;
    protected final long ballotSerialNumber;

    protected PollingStationCommand(int requestIdentifier, long ballotSerialNumber) {
        this.requestIdentifier = requestIdentifier;
        this.ballotSerialNumber = ballotSerialNumber;
    }

    public long getBallotSerialNumber () {
        return this.ballotSerialNumber;
    }

    public int getRequestIdentifier () {
        return this.requestIdentifier;
    }
}
